Name:       gujarati-typing-booster
Version:    0.9.0
Release:    3%{?dist}
Summary:    Gujarati typing booster table for IBus indic tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch
Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table
Patch1: name.patch

%description
Gujarati typing booster package contain inscript \
and phonetic tables.

%package -n %{name}-phonetic
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} <  %{version}-%{release}
Summary:   Gujarati phonetic typing booster table for ibus indic tables

%description -n %{name}-phonetic
This package contains phonetic table for Gujarati language.

%package -n %{name}-inscript
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} <  %{version}-%{release}
Summary:   Gujarati inscript typing booster table for ibus indic tables

%description -n %{name}-inscript
This package contains inscript table for Gujarati language.

%prep
%setup -q
%patch1 -p1 -b .1-improved-name


%configure \
  --enable-gujarati-phonetic \
  --enable-gujarati-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n gujarati-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n gujarati-inscript.db



%files -n %{name}-phonetic
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/gujarati.svg
%{_datadir}/ibus-indic-table/indic-tables/gujarati-phonetic.db

%files -n %{name}-inscript
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/gujarati.svg
%{_datadir}/ibus-indic-table/indic-tables/gujarati-inscript.db


%changelog
* Wed Jan 04 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-3
- updated spec

* Wed Jan 04 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-2
- Improved name

* Tue Jan 03 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-1
- Upstream release 0.9.0

* Fri Dec 23 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-6
- Resolved bug 770062, help contents

* Tue Dec 13 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-5
- Subpackaging, since user will not required both db at same time

* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-4
- Resolved bug 748399

* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- Resolved bug 742866

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Thu Mar 10 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Gujarati Phonetic (iTranse)
- Added Gujarati Inscript
